MAUI_View myWinder; myWinder.size(240,380); myWinder.name("STK Waveguide Clarinet Controller");
myWinder.display();

MAUI_Slider press; press.name("Breath Pressure"); press.position(0,0); press.range(0.0,1.0);
MAUI_Slider pitch; pitch.name("Pitch (MIDINote)"); pitch.position(0,50); pitch.range(40,100);
MAUI_Slider noise; noise.name("Breath Noise"); noise.position(0,100); noise.range(0.0,1.0);
MAUI_Slider stiff; stiff.name("Reed Stiffness"); stiff.position(0,150); stiff.range(0.0,1.0);
MAUI_Slider vibro; vibro.name("Vibrato Amount"); vibro.position(0,200), vibro.range(0.0,1.0);
MAUI_Slider revrb; revrb.name("Reverb Mix"); revrb.position(0,250); revrb.range(0.0,1.0);

myWinder.addElement(press); 0.0 => press.value;
myWinder.addElement(pitch); 56.6 => pitch.value;
myWinder.addElement(noise); 0.3 => noise.value;
myWinder.addElement(stiff); 0.4 => stiff.value;
myWinder.addElement(vibro); 0.05 => vibro.value;
myWinder.addElement(revrb); 0.05 => revrb.value;

MAUI_Button exit; exit.name("EXIT"); exit.position(0,315); 
exit.size(240,70); exit.toggleType(); myWinder.addElement(exit);
Clarinet clar => NRev rev => dac;

1 => clar.noteOn;

while (!exit.state())  {
    ms => now;
    press.value() => clar.pressure;
    pitch.value() => Std.mtof => clar.freq;
    noise.value() => clar.noiseGain;
    stiff.value() => clar.reed;
    vibro.value() => clar.vibratoGain;
    revrb.value() => rev.mix;
}

