MAUI_View myWinder; myWinder.size(240,410); myWinder.name("STK Waveguide Flute Controller");
myWinder.display();

MAUI_Slider press; press.name("Breath Pressure"); press.position(0,0); press.range(0.0,1.0);
MAUI_Slider pitch; pitch.name("Pitch (MIDINote)"); pitch.position(0,50); pitch.range(40,100);
MAUI_Slider noise; noise.name("Breath Noise"); noise.position(0,100); noise.range(0.0,1.0);
MAUI_Slider embro; embro.name("Jet Delay (Embouchure)"); embro.position(0,150); embro.range(0.0,1.0);
MAUI_Slider vibro; vibro.name("Vibrato Amount"); vibro.position(0,200), vibro.range(0.0,1.0);
MAUI_Slider vibrf; vibrf.name("Vibrato Frequency"); vibrf.position(0,250), vibrf.range(0.0,30.0);
MAUI_Slider revrb; revrb.name("Reverb Mix"); revrb.position(0,300); revrb.range(0.0,1.0);

myWinder.addElement(press); 0.0 => press.value;
myWinder.addElement(pitch); 60.0 => pitch.value;
myWinder.addElement(noise); 0.3 => noise.value;
myWinder.addElement(embro); 0.2 => embro.value;
myWinder.addElement(vibro); 0.1 => vibro.value;
myWinder.addElement(vibrf); 6.0 => vibrf.value;
myWinder.addElement(revrb); 0.05 => revrb.value;

MAUI_Button exit; exit.name("EXIT"); exit.position(0,355); 
exit.size(240,70); exit.toggleType(); myWinder.addElement(exit);
Flute flut => NRev rev => dac;

1 => flut.noteOn;

while (!exit.state())  {
    ms => now;
    press.value() => flut.pressure;
    pitch.value() => Std.mtof => flut.freq;
    noise.value() => flut.noiseGain;
    embro.value() => flut.jetDelay;
    vibro.value() => flut.vibratoGain;
    vibrf.value() => flut.vibratoFreq;
    revrb.value() => rev.mix;
}

